petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFGetRootRanks

Get root ranks and number of vertices referenced by leaves on this process

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetRootRanks(PetscSF sf,PetscInt *nranks,const PetscMPIInt **ranks,const PetscInt **roffset,const PetscInt **rmine,const PetscInt **rremote)

Not Collective

### Input Arguments

sf -star forest

### Output Arguments

| nranks | - number of ranks referenced by local part
| ranks | - array of ranks
| roffset | - offset in rmine/rremote for each rank (length nranks+1)
| rmine | - concatenated array holding local indices referencing each remote rank
| rremote | - concatenated array holding remote indices referenced for each remote rank

### See Also

PetscSFGetLeafRanks()

### Level

developer

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html

### Implementations

PetscSFGetRootRanks_Allgatherv in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages